package watch_graph //nolint:stylecheck

import (
	corev1 "k8s.io/api/core/v1"
)

func (vx *wgObject2vertex) collectEphemeralContainerV1Arcs(c *corev1.EphemeralContainer, arcType ArcType) {
	collectEach(c.EnvFrom, arcType, vx.collectEnvFromSourceV1Arcs)
	collectEach(c.Env, arcType, vx.collectEnvVarV1Arcs)
}
